## List Vectors `client.Vectorize.Indexes.ListVectors(ctx, indexName, params) (*IndexListVectorsResponse, error)` **get** `/accounts/{account_id}/vectorize/v2/indexes/{index_name}/list` Returns a paginated list of vector identifiers from the specified index. ### Parameters - `indexName string` - `params IndexListVectorsParams` - `AccountID param.Field[string]` Path param: Identifier - `Count param.Field[int64]` Query param: Maximum number of vectors to return - `Cursor param.Field[string]` Query param: Cursor for pagination to get the next page of results ### Returns - `type IndexListVectorsResponse struct{…}` - `Count int64` Number of vectors returned in this response - `IsTruncated bool` Whether there are more vectors available beyond this response - `TotalCount int64` Total number of vectors in the index - `Vectors []IndexListVectorsResponseVector` Array of vector items - `ID string` Identifier for a Vector - `CursorExpirationTimestamp Time` When the cursor expires as an ISO8601 string - `NextCursor string` Cursor for the next page of results ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/vectorize" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.Vectorize.Indexes.ListVectors( context.TODO(), "example-index", vectorize.IndexListVectorsParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Count) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "count": 100, "isTruncated": true, "totalCount": 500, "vectors": [ { "id": "some-vector-id-023e105f4ecef8ad9ca31a8372d0c353" } ], "cursorExpirationTimestamp": "2025-08-12T20:32:52.469144957+00:00", "nextCursor": "suUTaDY5PFUiRweVccnzyt9n75suNPbXHPshvCzue5mHjtj7Letjvzlza9eGj099" }, "success": true } ```